Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access.types
Class BooleanType

    java.lang.Object
      org.apache.cayenne.access.types.BooleanType

All Implemented Interfaces:
  ExtendedType

    public class BooleanType

extends java.lang.Object
implements ExtendedType

Handles `java.lang.Boolean` mapping. Note that "materialize*" methods return either Boolean.TRUE or Boolean.FALSE, instead of creating new Boolean instances using contructor. This makes possible identity comparison such as `object.getBooleanProperty() == Boolean.TRUE`.

Since:
  1.2
Author:
  Andrus Adamchik

Constructor Summary
`BooleanType()`

Method Summary
`java.lang.String` | `getClassName()` Returns a full name of Java class that this ExtendedType supports.
`java.lang.Object` | `materializeObject(java.sql.CallableStatement st, int index, int type)` Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
`java.lang.Object` | `materializeObject(java.sql.ResultSet rs, int index, int type)` Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
`void` | `setJdbcObject(java.sql.PreparedStatement st, java.lang.Object val, int pos, int type, int precision)` Initializes a single parameter of a PreparedStatement with object value.
`boolean` | `validateProperty(java.lang.Object source, java.lang.String property, java.lang.Object value, DbAttribute dbAttribute, ValidationResult validationResult)` Performs validation of an object property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BooleanType

    public BooleanType()

Method Detail

### getClassName

    public java.lang.String getClassName()

  Description copied from interface: `ExtendedType`
  Returns a full name of Java class that this ExtendedType supports.

  Specified by:
    `getClassName` in interface `ExtendedType`

### validateProperty

    public boolean validateProperty(java.lang.Object source,
                                    java.lang.String property,
                                    java.lang.Object value,
                                    DbAttribute dbAttribute,
                                    ValidationResult validationResult)

  Description copied from interface: `ExtendedType`
  Performs validation of an object property. Property is considered valid if this it satisfies the database constraints known to this ExtendedType. In case of validation failure, failures are appended to the ValidationResult object and `false` is returned.

  Specified by:
    `validateProperty` in interface `ExtendedType`

### setJdbcObject

    public void setJdbcObject(java.sql.PreparedStatement st,
                              java.lang.Object val,
                              int pos,
                              int type,
                              int precision)
                       throws java.lang.Exception

  Description copied from interface: `ExtendedType`
  Initializes a single parameter of a PreparedStatement with object value.

  Specified by:
    `setJdbcObject` in interface `ExtendedType`
  Throws:
    `java.lang.Exception`

### materializeObject

    public java.lang.Object materializeObject(java.sql.ResultSet rs,
                                              int index,
                                              int type)
                                       throws java.lang.Exception

  Description copied from interface: `ExtendedType`
  Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.

  Specified by:
    `materializeObject` in interface `ExtendedType`
  Throws:
    `java.lang.Exception` - if read error ocurred, or an object can't be converted to a target Java class.

### materializeObject

    public java.lang.Object materializeObject(java.sql.CallableStatement st,
                                              int index,
                                              int type)
                                       throws java.lang.Exception

  Description copied from interface: `ExtendedType`
  Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.

  Specified by:
    `materializeObject` in interface `ExtendedType`
  Throws:
    `java.lang.Exception` - if read error ocurred, or an object can't be converted to a target Java class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.